Bug 370271 - Scrolling in large amounts of text garbles screen
Scrolling in large amounts of text garbles screen
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 15:29 EST by Kjartan Maraas
Modified: 2008-07-03 20:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 23:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 215055 None None None Never

  None (edit)
Description Kjartan Maraas 2007-11-07 15:29:28 EST
Description of problem:

I've noticed problems when scrolling through output from jhbuild on pages like this:

http://jhbuild.bxlug.be/builds/2007-11-07-0002/logs/evolution-data-server/#build

Open that, expand the full log for the make build section and page down a lot.
This leaves parts of the screen not updated after a while and everything ends up
garbled.

I've tried MOZ_DISABLE_PANGO=1 and also tried using the vesa driver to see if
that helped, but it didn't. I'm using the intel X driver normally.

Any pointers on how to get more info?

Just hold down pgdn for a while and then pgup etc. Forcing a redraw with alt-tab
fixes things.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2007-11-08 05:57:19 EST
Can reproduce with firefox 3.0a9pre on x86_64 (if that matters).
Comment 2 Kjartan Maraas 2008-01-03 07:27:36 EST
Still seeing this with firefox-3.0-0.beta2.4.fc9
Comment 3 Matěj Cepl 2008-02-21 17:34:25 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:35:38 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Johannes Erdfelt 2008-02-21 18:29:20 EST
3.0b3 from mozilla.com also fails to fix this bug.

In fact, it's worse than the firefox 2.0.0.10-3.fc8 that ships with FC8. I can't
get 3.0b3 to redraw the screen correctly at all.
Comment 6 Bug Zapper 2008-05-13 23:51:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2008-05-19 18:17:31 EDT
Reporter, could you reproduce this with the latest Fedora package on F9/Rawhide?
Is your architecture i386 or x86_64?
Comment 8 Kjartan Maraas 2008-05-19 18:41:24 EDT
Still seeing this with firefox/xulrunner from rawhide (f10)

Opening the full build log from this
http://jhbuild.bxlug.be/builds/2008-04-03-0003/logs/evolution/
and doing pgdn/pgup a lot triggered it.
Comment 9 Jens Petersen 2008-07-02 22:04:29 EDT
I just hit this too while scrolling
https://admin.fedoraproject.org/pkgdb/packages/?tg_paginate_limit=0
with the mouse wheel or cursor keys: occurs for me around the eclipse packages.
I also see it both on F9 and rawhide.

Is there an upstream bug?
Comment 10 Christopher Aillon 2008-07-02 23:42:31 EDT
https://bugzilla.mozilla.org/show_bug.cgi?id=215055

Note You need to log in before you can comment on or make changes to this bug.